package model

type TaskLog struct {
	TaskLogId int64  `xorm:"not null pk autoincr BIGINT(11)" json:"taskLogId"`
	TaskId    int64  `xorm:"INT(11) index" json:"taskId"`
	NodeId    int64  `xorm:"INT(11) index" json:"nodeId"`
	Content   string `xorm:"LANGTEXT" json:"content"`
	CreateAt  int64  `xorm:"created" json:"createAt"`
	UpdateAt  int64  `xorm:"updated" json:"updateAt"`
}

func InsertLog(taskLog *TaskLog) {
	_, _ = DB.Insert(taskLog)
}
