package model

type TrainingDatasetDetail struct {
	DetailId       int64  `xorm:"not null pk autoincr INT(11)" json:"detailId"`
	FileName       string `xorm:"VARCHAR(200)" json:"fileName"`
	FilePath       string `xorm:"VARCHAR(1000)" json:"filePath"`
	DatasetId      int64  `xorm:"INT(11) index default 0" json:"datasetId"`      //训练数据集
	CategoryId     int    `xorm:"not null SMALLINT default 1" json:"categoryId"` //训练集分类，1：训练集;2：测试集;3:验证集
	FileSize       int64  `xorm:"BININT" json:"fileSize"`                        //文件大小
	FileMd5        string `xorm:"VARCHAR(64)" json:"fileMd5"`                    //文件MD5
	OperationLogId int64  `xorm:"INT(11) index" json:"operationLogId"`           //操作日志编号
	Creator        int64  `xorm:"INT(11) index" json:"creator"`                  //上传人
	CreateAt       int64  `xorm:"created" json:"createAt"`                       //上传时间
	UpdateAt       int64  `xorm:"updated" json:"updateAt"`                       //更新时间
}
