package model

type ReportDetail struct {
	DetailId   int64  `xorm:"not null pk autoincr INT(11)" json:"detailId"`
	ReportId   int64  `xorm:"INT(11) index" json:"reportId"`
	FileId     int64  `xorm:"INT(11) index" json:"fileId"`
	FieldName  string `xorm:"VARCHAR(100)" json:"fieldName"`
	FieldValue string `xorm:"LONGTEXT" json:"fieldValue"`
	Status     int    `xorm:"TINYINT default 1" json:"status"`
	CreateAt   int64  `xorm:"created" json:"createAt"`
	UpdateAt   int64  `xorm:"updated" json:"updateAt"`
	DeleteAt   int64  `xorm:"deleted" json:"deleteAt"`
}
