package model

type TrainingDataset struct {
	DatasetId   int64  `xorm:"not null pk autoincr INT(11)" json:"datasetId"`
	Name        string `xorm:"VARCHAR(200)" json:"name"`
	CategoryId  int    `xorm:"not null SMALLINT default 1" json:"categoryId"` //业务分类, 1:道路 2:桥梁 3:隧道 4:边坡
	DatasetDesc string `xorm:"varchar(200)" json:"datasetDesc"`
	StoreName   string `xorm:"varchar(200)" json:"storeName"` //存储路径
	CreateAt    int64  `xorm:"created" json:"createAt"`
	UpdateAt    int64  `xorm:"updated" json:"updateAt"`
}
